Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 189319 - app-antivirus/f-prot-6.0.1 version bump
Summary: app-antivirus/f-prot-6.0.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Antivirus Team
URL: http://files.f-prot.com/files/linux-x...
Whiteboard:
Keywords:
: 210200 (view as bug list)
Depends on:
Blocks: CVE-2008-3243
  Show dependency tree
 
Reported: 2007-08-18 08:42 UTC by Thomas Jäger
Modified: 2010-05-30 16:15 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
app-antivirus/f-prot-6.0.1 (f-prot-6.0.1.ebuild,1.47 KB, text/plain)
2008-04-07 16:57 UTC, Jochen Schalanda
Details
f-prot-6.0.1.ebuild (f-prot-6.0.1.ebuild,1.38 KB, text/plain)
2008-08-19 11:30 UTC, INODE64 Sistemas
Details
90f-prot (90f-prot,17 bytes, text/plain)
2008-08-19 11:30 UTC, INODE64 Sistemas
Details
Ebuild for f-prot 6.0.2 (f-prot-6.0.2.ebuild,1.80 KB, text/plain)
2009-01-10 12:33 UTC, Nico Baggus
Details
f-prot-6.0.1 (f-prot-6.0.1.ebuild,2.06 KB, patch)
2009-03-27 13:05 UTC, Fabian Groffen
Details | Diff
f-prot-6.0.2 (f-prot-6.0.2.ebuild,1.78 KB, patch)
2009-03-27 13:06 UTC, Fabian Groffen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Jäger 2007-08-18 08:42:57 UTC
app-antivirus/f-prot 4.6.8 released

Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2008-02-15 02:31:48 UTC
*** Bug 210200 has been marked as a duplicate of this bug. ***
Comment 2 tomas charvat 2008-02-28 23:10:45 UTC
Im just wondering if this has been droped or not. Bug seems to be quite old.

Is there somebody working on this ?
Comment 3 Jochen Schalanda 2008-04-07 16:57:37 UTC
Created attachment 149000 [details]
app-antivirus/f-prot-6.0.1

This ebuild works for me. HTH.
Comment 4 7v5w7go9ub0o 2008-05-06 12:45:39 UTC
F-Prot 6.0.2 now available; use Jochen Schalanda's ebuild or simply download, untar, and install. works well. Get it here:

http://www.f-prot.com/download/home_user/download_fplinux.html

Changes since current 4.6.7 ebuild:

6.0.2: 
 
 - Scan engine upgraded from 4.4.2 to 4.4.4 with improved detection rates and fewer false positives. 
 

6.0.1: 
 
 - Now released for Solaris (sparc 32 bit, intel 32 and 64 bit) and Linux 
 64 bit in addition to the Linux 32 bit version. 
 
 - Scan engine upgraded from 4.4.1 to 4.4.2 which improves detection 
 considerably. 
 
 - An updated version of Anomy is now incorporated to resolve certain 
 mail scanner issues. 
 
 - Example code for fpscand usage moved to make it clear that it is just 
 example code rahter than a supported part of the product. 
 
 
6.0.0:
 
Pretty much everything has changed from version 4.6.x 
 
If you're running f-prot version 4.x.y then READ THE README. 
 
All of it. 
 
Seriously. 
 
It's not long and it will save you a ton of trouble if you are upgrading 
from a previous version or using 3rd party software with f-prot. 
   

4.6.7:

Version 4.6.7 only contains bugfixes.  Please see the CHANGES document
in the package for more information.
Comment 5 Łukasz Damentko (RETIRED) gentoo-dev 2008-05-27 13:11:52 UTC
Ticho was retired (#59986), reassigning remaining bugs to the herd.
Comment 6 INODE64 Sistemas 2008-08-19 11:30:32 UTC
Created attachment 163293 [details]
f-prot-6.0.1.ebuild

Update ebuild to support amd64
Comment 7 INODE64 Sistemas 2008-08-19 11:30:53 UTC
Created attachment 163294 [details]
90f-prot
Comment 8 Chris Moody - Linux Architect 2009-01-08 06:57:14 UTC
When is 6.x going to hit portage?  F-prot 4-train is officially discontinued.  4.6.7 is the latest rev I see available (on a system with ~x86 enabled).  Their updater even throws this warning when you check the URL manually:

Support for this version of F-PROT has been discontinued. Please upgrade to use F-PROT version 6. More information: www.f-prot.com or support@f-prot.com
Comment 9 pille 2009-01-09 10:41:14 UTC
the bundled updater in current gentoo stable version 4.6.7
/opt/f-prot/tools/check-updates.pl is failing since three days with the following message:
  Server error on remote machine.
  Fatal error. Exiting...

my last updated signatures are from 2008-11-20 with a nightly cronjob,
so i can't see the value of this package at the moment.
Comment 10 Oliver Schwabedissen 2009-01-10 09:14:14 UTC
(In reply to comment #9)
> the bundled updater in current gentoo stable version 4.6.7
> /opt/f-prot/tools/check-updates.pl is failing since three days with the
> following message:
>   Server error on remote machine.
>   Fatal error. Exiting...

I checked FRISK's forum and found the following reply from Technical Support:

"This is indeed permanent this time. There will be no further releases for products using the 3.x engine (FPAV Win 3.x and FPAV Unix 4.x). Despite warnings for about 18 months, we have managed to keep the updates alive by decreasing the number of malware being added each time, i.e. keeping to the most urgent ones. 

We have had millions of connections trying to blindly download sign.def, sign2.def and macro.def every day and even more frequently. This generates huge costs for the data transfer although they have for some time now been minimized as possible by blocking the IPs with the most frequent requests, up until now.

To 3.x and 4.x we say so long, and thanks for all the fish..."

Source: http://forum.f-prot.com/index.php/topic,1322.0.html

So the current stable f-prot 4.6.7 will get no signature updates anymore and becomes useless. It should be removed asap, otherwise we will see more and more questions from people who installed it for the first time and are now wondering about the error message when they try to contact the update server.

With f-prot 6.x not even in unstable yet I guess I have to unmerge f-prot and look for another antivirus solution for my system.
Comment 11 Nico Baggus 2009-01-10 12:33:14 UTC
Created attachment 177961 [details]
Ebuild for f-prot 6.0.2

Ebuild that follows Frisk's install tool including an crontab entry.
Comment 12 Tim Ekl 2009-01-19 19:16:03 UTC
Nico's attachment (f-prot-6.0.2.ebuild) works for me.

Any chance of seeing this in the tree soon?
Comment 13 Fabian Groffen gentoo-dev 2009-03-27 13:04:03 UTC
@antivirus crew: is it ok with you if I bump this one?  I got ebuilds for 6.0.2 and 6.0.1 (the latter for ppc and x86-fbsd).
Comment 14 Fabian Groffen gentoo-dev 2009-03-27 13:05:56 UTC
Created attachment 186421 [details, diff]
f-prot-6.0.1

replacement ebuild with some fixes, provided to support ppc and x86-fbsd
Comment 15 Fabian Groffen gentoo-dev 2009-03-27 13:06:59 UTC
Created attachment 186423 [details, diff]
f-prot-6.0.2

replacement ebuild with fixes.

Most imporantly, on amd64, use x86_64 binaries from upstream, instead of multilib horror.
Comment 16 Fabian Groffen gentoo-dev 2009-03-27 13:18:54 UTC
Just as a remark; those ebuilds aren't final, as I don't think it's a good thing to enable updating automagically, so there is likely to change a lot before I'll bump this package.
Comment 17 Fabian Groffen gentoo-dev 2009-04-02 15:34:48 UTC
versions 6.0.1 (for ppc and x86-fbsd) and 6.0.2 (for x86 and amd64) added.

Thanks all who contributed to this bug!
Comment 18 Haze 2010-04-19 22:14:18 UTC
Hi.
Why f-prot was remove of portage tree , please ?
And there is a new relase of it, f-prot-6.0.3, on his website.
Thanks a lot.
Bye.
Comment 19 Tim Ekl 2010-04-19 22:21:13 UTC
(In reply to comment #18)
> Why f-prot was remove of portage tree , please ?
As it says in the package mask info, there was little interest from upstream in continuing Linux support.

> And there is a new relase of it, f-prot-6.0.3, on his website.
As it's been removed from Portage, it's unlikely this will get an ebuild; if you desperately feel there should be one, open a new bug.

Comment 20 7v5w7go9ub0o 2010-04-19 23:59:36 UTC
Haze,

Instead of a bug report, you might consider Avira 
http://www.free-av.com/en/download/download_servers.php

1. It installs reliably with a script available at the above website.
2. It optionally allows "on-access scanning", which means you'll get automatic scanning of mail, browser scripts and content, downloads, etc. (It'll compile a Dazuko LKM to do this).
3. Avira has hundreds of Linux rootkit, Trojan, etc. signatures - so the on-access feature can monitor for shenanigans directed at your box, as well as at windows. e.g. monitor downloads, compilations, and execs.
4. Avira consistently outscores f-prot on the anti-malware test sites.

(I switched and never looked back; I'm not associated with Avira)

HTH



Comment 21 Haze 2010-04-24 22:06:35 UTC
(In reply to comment #20)
> Haze,
> 
> Instead of a bug report, you might consider Avira 
> http://www.free-av.com/en/download/download_servers.php
> 
> 1. It installs reliably with a script available at the above website.
> 2. It optionally allows "on-access scanning", which means you'll get automatic
> scanning of mail, browser scripts and content, downloads, etc. (It'll compile a
> Dazuko LKM to do this).
> 3. Avira has hundreds of Linux rootkit, Trojan, etc. signatures - so the
> on-access feature can monitor for shenanigans directed at your box, as well as
> at windows. e.g. monitor downloads, compilations, and execs.
> 4. Avira consistently outscores f-prot on the anti-malware test sites.
> 
> (I switched and never looked back; I'm not associated with Avira)
> 
> HTH
> 

Hi .
Ok thank you for your answer  7v5w7go9ub0o . I will see that.

I know Avira because I had install it on my XP in Vbox , but it refuse to update the virus database and I can't desinstall it , so I don't really know his real efficacity, but a friend use it on  Xp and he is satisfied.
So I hope it will work on Linux better than in Vbox. :)
Bye